﻿<UserControl x:Class="JCHVRF_New.Dashboard"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:fa="http://schemas.fontawesome.io/icons/"
        xmlns:local="clr-namespace:JCHVRF_New"
        xmlns:vml="clr-namespace:JCHVRF_New.ViewModels"
        xmlns:view="clr-namespace:JCHVRF_New.Views"
        mc:Ignorable="d">


    <ScrollViewer>
        <DockPanel LastChildFill="True" Margin="10,0,0,0">

            <Grid DockPanel.Dock="Top" Width="600" HorizontalAlignment="Left">
                <TextBlock HorizontalAlignment="Left" Text="Dashboard" Foreground="#363636" FontSize="25"  FontWeight="Bold" />
                <Button HorizontalAlignment="Right" x:Name="btnNewProject" Style="{DynamicResource buttonMouseOverStyle}" Content="New Project" Height="35" Width="130"  Margin="0,0,10,0"  Cursor="Hand" ToolTip="Create New Project" FontWeight="Bold" FontFamily="Calibri" FontSize="14"  Background="#F908338F" BorderThickness="1" Click="btnNewProject_Click" />
            </Grid>

            <Border BorderBrush="GhostWhite" DockPanel.Dock="Bottom" Margin="25,25,10,25">
                <Image  Source="Image\TypeImages\News.jpg"></Image>
            </Border>

            <DockPanel Margin="0,10">
                <Border DockPanel.Dock="Bottom" >
                <DockPanel Height="Auto">
                        <StackPanel Background="#f9f9f9" Width="600">
                            <StackPanel  Margin="25,0,0,0" Orientation="Horizontal">
                                <Label x:Name="lblProjects"  BorderBrush="Black" Height="30" Foreground="Gray" FontSize="15" FontWeight="Bold" HorizontalAlignment="Center"  VerticalAlignment="Center" Content="PROJECTS"/>
                                <TextBox x:Name="txtProjectSearch" FontSize="15" Opacity="0.6" 
                                             Height="25" Style="{DynamicResource searchTextBox}" 
                                             Width="250" TextChanged="txtProjectSearch_TextChanged" 
                                             VerticalAlignment="Center"
                                             GotFocus="txtSearch_GotFocus"
                                             LostFocus="txtSearch_LostFocus"
                                             KeyDown="txtProjectSearch_KeyDown" >
                                    <TextBox.Resources>
                                        <Style TargetType="{x:Type Border}">
                                            <Setter Property="CornerRadius" Value="3"/>
                                        </Style>
                                    </TextBox.Resources>
                                    <TextBox.ToolTip>
                                        <ToolTip BorderBrush="GhostWhite" BorderThickness=".1">

                                            <TextBlock Text="Please type atleast 4 characters to search projects then press Enter or search-button" TextWrapping="Wrap" ></TextBlock>

                                        </ToolTip>
                                    </TextBox.ToolTip>
                                </TextBox>
                                <Button Name="BtnSearch" Background="Transparent" BorderThickness="0" VerticalAlignment="Center"  Click="lnkBtnSearch_OnClick">
                                    <fa:ImageAwesome Icon="Search" HorizontalAlignment="Left" VerticalAlignment="Center"  Height="15" Width="15" />
                                </Button>
                            </StackPanel>
                            <!--<ScrollViewer Height="600">-->
                            <TabControl Margin="25,0,0,0"  x:Name="ProjectListTabControl"  Background="#f9f9f9" SelectionChanged="TabControl_SelectionChanged">
                                <TabItem x:Name="TabAllProject" Header="ALL" Width="130" Height="30" Selector.IsSelected="True" Style="{DynamicResource dashboardTabItemStyle}">
                                        <ScrollViewer  Height="600">
                                    <view:ProjectTemplate x:Name="GridAllProject"></view:ProjectTemplate>
                                </ScrollViewer>
                            </TabItem>
                                <TabItem x:Name="TabWeekProject" Header="Due this Week" Width="130" Height="30" Style="{DynamicResource dashboardTabItemStyle}">
                                    <ScrollViewer Height="600">
                                        <view:ProjectTemplate  x:Name="GridWeekProject"></view:ProjectTemplate>
                                </ScrollViewer>
                            </TabItem>
                                <TabItem x:Name="TabMonthProject" Header="Due this Month" Width="130" Height="30" Style="{DynamicResource dashboardTabItemStyle}">
                                    <ScrollViewer Height="600">
                                        <view:ProjectTemplate  x:Name="GridMonthProject"></view:ProjectTemplate>
                                </ScrollViewer>
                            </TabItem>
                    </TabControl>
                            <!--</ScrollViewer>-->
                        </StackPanel>
                        <Grid DockPanel.Dock="Right" Margin="25,-46,0,120">
                            <Grid.RowDefinitions>
                                <RowDefinition Height="Auto" ></RowDefinition>
                                <RowDefinition Height="Auto"></RowDefinition>
                            </Grid.RowDefinitions>
                            <Border BorderThickness="1,1,1,1" Height="375" Width="500" BorderBrush="GhostWhite"  Grid.Row="0" >
                                <Image Source="Image\TypeImages\Planner.jpg" Stretch="Fill" ></Image>
                            </Border>
                            <Border BorderThickness="1" Height="375" Width="500" BorderBrush="GhostWhite"  Grid.Row="1" Margin="0,25,0,0" >
                                <Image Source="Image\TypeImages\Notifications.jpg" Stretch="Fill"></Image>
                            </Border>
                        </Grid>
                    </DockPanel>
            </Border>
        </DockPanel>








        </DockPanel>
    </ScrollViewer>
</UserControl>
